@import "../../vars.scss";

.main {
    height: 100vh;
    min-height: 667px;
    max-height: 1024px;
    overflow: hidden;
    position: relative;
    .mainHeader {
        padding-top: 22px;
        padding-bottom: 22px;
        justify-content: space-between;
    }

    .mainInfo {
        margin-top: 170px;
        max-width: 1048px;
    }
}

//address
.addressList {
    gap: 12.91px;
    display: flex;
    flex-direction: column;
    .address {
        font-size: 22px;
        font-weight: 500;
        line-height: 28.05px;
        list-style-type: disc;
        list-style-position: inside;
    }
}

//title
.title {
    font-size: 50px;
    font-weight: 700;
    margin-top: 43px;
    line-height: 62px;
    .numbSpan {
        font-family: "Roboto Serif";
    }
    .noWrap {
        white-space: nowrap;
    }
}

//btns
.btns {
    gap: 30px;
    display: flex;
    margin-top: 56px;
}

.btnLigth,
.btnDark {
    gap: 14.37px;
    width: 254px;
    height: 52px;
    display: flex;
    padding: 16px 0;
    font-weight: 500;
    white-space: nowrap;
    justify-content: center;
    transition: all 0.25s ease-in-out;
}

.btnLigth *,
.btnDark * {
    align-self: center;
}

.btnLigth {
    color: $darkFont;
    background-color: #fff;
}

.btnDark {
    background-color: #00acc8;
}

.btnImg {
    width: 19.07px;
}

.btnLigth:hover {
    background-color: #dbf5ff;
}

.btnLigth:active {
    background-color: #cdebf6;
}

.btnLigth:disabled {
    background-color: #dddddd;
}

.btnDark:hover {
    background-color: #019ab2;
}

.btnDark:active {
    background-color: #018499;
}

.btnDark:disabled {
    background-color: #dddddd;
}

//linkMore

.linkMoreWrapper {
    gap: 8px;
    display: flex;
    margin-top: 122px;
    cursor: pointer;
    .linkMore {
        font-weight: 500;
        text-decoration: underline;
        transition: all 0.25s ease-in-out;
    }

    svg {
        margin-bottom: 2px;
        align-self: flex-end;
    }
    svg g path {
        transition: all 0.25s ease-in-out;
    }
}

.linkMoreWrapper:hover .linkMore {
    color: #0193aa;
}

.linkMoreWrapper:hover svg g path {
    fill: #0193aa;
    stroke: #0193aa;
}

.linkMoreWrapper:active .linkMore {
    color: #017e92;
}
.linkMoreWrapper:active svg g path {
    fill: #017e92;
    stroke: #017e92;
}

//bg
.bgContainer {
    top: 0;
    left: 0;
    right: 0;
    z-index: -1;
    overflow: hidden;
    position: absolute;
    .bgWrapper {
        height: 100%;
        min-width: 100%;
        display: flex;
        overflow: hidden;
        position: relative;
        justify-content: center;
        .bgImg {
            object-fit: cover;
        }
        .bgColor {
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            position: absolute;
            background: linear-gradient(
                    0deg,
                    rgba(5, 5, 22, 0.5),
                    rgba(5, 5, 22, 0.5)
                ),
                linear-gradient(
                    106.83deg,
                    rgba(177, 176, 243, 0.3) 14.18%,
                    rgba(0, 172, 200, 0.3) 100%
                );
        }
    }
}

@media (max-width: 1025px) {
    .main {
        .mainInfo {
            margin-top: 100px;
        }
    }
}

@media (max-width: 768px) {
    .main {
        .mainInfo {
            margin-top: 100px;
        }
    }
    .linkMoreWrapper {
        margin-top: 70px;
    }
    .bgContainer {
        height: 100%;
    }
    .title {
        font-size: 36px;
    }
    .addressList {
        gap: 9px;
        .address {
            font-size: 16px;
            line-height: 20px;
        }
    }
}

@media (max-width: 650px) {
    .btns {
        gap: 16px;
        justify-content: center;
        display: grid;
        grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
        a {
            width: 100%;
            max-width: 345px;
            margin: 0 auto;
        }
    }

    .main {
        .mainInfo {
            margin-top: 89px;
        }
        .mainHeader {
            padding-top: 12px;
            padding-bottom: 12px;
            img {
                width: 57px;
            }
        }
    }

    .btns {
        margin-top: 34px;
    }

    .title {
        font-size: 26px;
        line-height: 36.47px;
    }

    .linkMoreWrapper {
        margin-top: 92px;
        justify-content: center;
    }

    .addressList {
        gap: 12px;
        display: flex;
        flex-direction: column;
        .address {
            font-size: 14px;
            line-height: 17.85px;
        }
    }
    .title {
        margin-right: 34px;
    }
}

@media (max-width: 540px) {
    .title {
        margin-top: 34px;
        max-width: 321px;
        margin-right: 0;
        font-size: 22px;
    }
    .main .mainInfo {
        margin-top: 149px;
    }
    .bgWrapper {
        height: 100%;
        background: url("../../img/mobileBG.jpg") no-repeat;
        background-size: cover;
    }
    .bgContainer .bgWrapper .bgImg {
        display: none;
    }
    .linkMoreWrapper {
        margin-top: 83px;
        margin-bottom: 38px;
    }
}

@media (orientation: landscape) and (max-width: 1025px) {
    .main {
        height: 100%;
        padding-bottom: 50px;
        .mainInfo {
            margin-top: 40px;
        }
    }
}

@media (hover: none) {
    .linkMoreWrapper:hover,
    .btnLigth:hover,
    .btnDark:hover {
        pointer-events: none;
    }
}
